Skip to main content
POST
/
v1
/
agentic-wallets
/
{walletId}
/
activation
/
activate
curl -X POST '/v1/agentic-wallets/aw_01abc123/activation/activate' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "email_otp": "123456"
  }'
{
  "success": true,
  "message": "Wallet activated successfully",
  "data": {
    "wallet_id": "aw_01abc123",
    "status": "active"
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
walletId
string
required
The wallet ID to activate.
email_otp
string
required
The email OTP code received after calling the send-email-otp endpoint.
totp_code
string
TOTP code from your authenticator app (required if 2FA is enabled on your account).
curl -X POST '/v1/agentic-wallets/aw_01abc123/activation/activate' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "email_otp": "123456"
  }'
{
  "success": true,
  "message": "Wallet activated successfully",
  "data": {
    "wallet_id": "aw_01abc123",
    "status": "active"
  }
}